Index: storage.c
===================================================================
--- storage.c	(revision 6f10697380c620065731a5beece95c0f5bd652a0)
+++ storage.c	(revision 5ebff60479fc7a9f7f50ac03b124c91d4e6ebe11)
@@ -1,3 +1,3 @@
-  /********************************************************************\
+/********************************************************************\
   * BitlBee -- An IRC to other IM-networks gateway                     *
   *                                                                    *
@@ -46,13 +46,16 @@
 	for (gl = storage_backends; gl; gl = gl->next) {
 		st = gl->data;
-		if (strcmp(st->name, name) == 0)
+		if (strcmp(st->name, name) == 0) {
 			break;
-	}
-
-	if (gl == NULL) 
+		}
+	}
+
+	if (gl == NULL) {
 		return NULL;
-
-	if (st->init)
+	}
+
+	if (st->init) {
 		st->init();
+	}
 
 	return st;
@@ -64,10 +67,11 @@
 	int i;
 	storage_t *storage;
-	
+
 	register_storage_backend(&storage_xml);
-	
+
 	storage = storage_init_single(primary);
-	if (storage == NULL && storage->save == NULL)
+	if (storage == NULL && storage->save == NULL) {
 		return NULL;
+	}
 
 	ret = g_list_append(ret, storage);
@@ -75,7 +79,8 @@
 	for (i = 0; migrate && migrate[i]; i++) {
 		storage = storage_init_single(migrate[i]);
-	
-		if (storage)
+
+		if (storage) {
 			ret = g_list_append(ret, storage);
+		}
 	}
 
@@ -83,8 +88,8 @@
 }
 
-storage_status_t storage_check_pass (const char *nick, const char *password)
-{
-	GList *gl;
-	
+storage_status_t storage_check_pass(const char *nick, const char *password)
+{
+	GList *gl;
+
 	/* Loop until we don't get NO_SUCH_USER */
 
@@ -94,18 +99,20 @@
 
 		status = st->check_pass(nick, password);
-		if (status != STORAGE_NO_SUCH_USER)
+		if (status != STORAGE_NO_SUCH_USER) {
 			return status;
-	}
-	
+		}
+	}
+
 	return STORAGE_NO_SUCH_USER;
 }
 
-storage_status_t storage_load (irc_t * irc, const char *password)
-{
-	GList *gl;
-	
-	if (irc && irc->status & USTATUS_IDENTIFIED)
+storage_status_t storage_load(irc_t * irc, const char *password)
+{
+	GList *gl;
+
+	if (irc && irc->status & USTATUS_IDENTIFIED) {
 		return STORAGE_OTHER_ERROR;
-	
+	}
+
 	/* Loop until we don't get NO_SUCH_USER */
 	for (gl = global.storage; gl; gl = gl->next) {
@@ -114,55 +121,56 @@
 
 		status = st->load(irc, password);
-		if (status == STORAGE_OK)
-		{
+		if (status == STORAGE_OK) {
 			GSList *l;
-			for( l = irc_plugins; l; l = l->next )
-			{
+			for (l = irc_plugins; l; l = l->next) {
 				irc_plugin_t *p = l->data;
-				if( p->storage_load )
-					p->storage_load( irc );
+				if (p->storage_load) {
+					p->storage_load(irc);
+				}
 			}
 			return status;
 		}
-		
-		if (status != STORAGE_NO_SUCH_USER) 
+
+		if (status != STORAGE_NO_SUCH_USER) {
 			return status;
-	}
-	
+		}
+	}
+
 	return STORAGE_NO_SUCH_USER;
 }
 
-storage_status_t storage_save (irc_t *irc, char *password, int overwrite)
+storage_status_t storage_save(irc_t *irc, char *password, int overwrite)
 {
 	storage_status_t st;
 	GSList *l;
-	
+
 	if (password != NULL) {
 		/* Should only use this in the "register" command. */
-		if (irc->password || overwrite)
+		if (irc->password || overwrite) {
 			return STORAGE_OTHER_ERROR;
-		
+		}
+
 		irc_setpass(irc, password);
 	} else if ((irc->status & USTATUS_IDENTIFIED) == 0) {
 		return STORAGE_NO_SUCH_USER;
 	}
-	
-	st = ((storage_t *)global.storage->data)->save(irc, overwrite);
-	
-	for( l = irc_plugins; l; l = l->next )
-	{
+
+	st = ((storage_t *) global.storage->data)->save(irc, overwrite);
+
+	for (l = irc_plugins; l; l = l->next) {
 		irc_plugin_t *p = l->data;
-		if( p->storage_save )
-			p->storage_save( irc );
-	}
-	
+		if (p->storage_save) {
+			p->storage_save(irc);
+		}
+	}
+
 	if (password != NULL) {
 		irc_setpass(irc, NULL);
 	}
-	
+
 	return st;
 }
 
-storage_status_t storage_remove (const char *nick, const char *password)
+storage_status_t storage_remove(const char *nick, const char *password)
 {
 	GList *gl;
@@ -170,7 +178,7 @@
 	gboolean ok = FALSE;
 	GSList *l;
-	
-	/* Remove this account from all storage backends. If this isn't 
-	 * done, the account will still be usable, it'd just be 
+
+	/* Remove this account from all storage backends. If this isn't
+	 * done, the account will still be usable, it'd just be
 	 * loaded from a different backend. */
 	for (gl = global.storage; gl; gl = gl->next) {
@@ -180,17 +188,19 @@
 		status = st->remove(nick, password);
 		ok |= status == STORAGE_OK;
-		if (status != STORAGE_NO_SUCH_USER && status != STORAGE_OK)
+		if (status != STORAGE_NO_SUCH_USER && status != STORAGE_OK) {
 			ret = status;
-	}
-	
+		}
+	}
+
 	/* If at least one succeeded, remove plugin data. */
-	if( ok )
-		for( l = irc_plugins; l; l = l->next )
-		{
+	if (ok) {
+		for (l = irc_plugins; l; l = l->next) {
 			irc_plugin_t *p = l->data;
-			if( p->storage_remove )
-				p->storage_remove( nick );
-		}
-	
+			if (p->storage_remove) {
+				p->storage_remove(nick);
+			}
+		}
+	}
+
 	return ret;
 }
